
Foreman - Feature #12212

Import addtitionnal informations from DHCP smart proxy

10/19/2015 10:12 AM - Baptiste Agasse

Status: Closed   

Priority: Normal   

Assignee: Baptiste Agasse   

Category: DHCP   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2846

  

Description

At this time, the 'import subnets' feature of the foreman only import network address and netmask from the DHCP smart-proxy.

This patch will provide the ability to import the following informations from the subnets (if configured for the current subnet on the

DHCP server):

Gateway

Primary DNS server

Secondary DNS server

DHCP range (from IP addr...to IP addr)

This issue is related to the #12211 (smart-proxy implementation that provide the new informations from subnets)

Related issues:

Blocked by Smart Proxy - Feature #12211: Improve DHCP subnets parsing to get ... Closed 10/19/2015

Associated revisions

Revision dfe4701e - 11/12/2015 07:45 AM - Baptiste Agasse 

Fixes #12212 - Import addtitionnal informations from DHCP smart proxy

History

#1 - 10/19/2015 12:45 PM - Baptiste Agasse

- Blocked by Feature #12211: Improve DHCP subnets parsing to get more informations from DHCP server added

#2 - 10/20/2015 05:35 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2846 added

- Pull request deleted ()

#3 - 11/12/2015 07:47 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#4 - 11/12/2015 08:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset dfe4701eb03c73f6ec7f1e85fb58fd3be7be53db.
